# Packmangroup: Other
# Packmanpackagename: ksensors
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>KSensors is a nice lm-sensors frontend for the KDE. You must install <a href="http://secure.netroedge.com/~lm78/">lmsensors drivers</a> before using it.</p>
# Packmanpackagedesc_de: <p>KSensors ist ein h&uuml;bscher lm-sensors Frontend f&uuml;r KDE. F&uuml;r die Benutzung mu&szlig; <a href="http://secure.netroedge.com/~lm78/">lmsensors</a> installiert sein.</p>

# norootforbuild

%define _kde_prefix %(. /etc/opt/kde3/common_options; echo $prefix)

Name:           ksensors
Summary:        Sensors frontend for KDE 3.x
Summary(de):    Sensors Frontend für KDE 3.x
License:        GPL-2.0
Group:          System/Monitoring
URL:            http://ksensors.sourceforge.net
Version:        0.7.3
Release:        2.1

Source0:        ksensors-0.7.3.tar.bz2

Patch0:         autoconf-2.6_support.patch
Patch1:         kde_sounddir.patch
Patch2:         debian_bug-353553.patch
Patch3:         debian_various-bugfixes.patch
Patch4:         ksensors-0.7.3-translations.patch
Patch5:         ksensors-0.7.3-fix-min-max.patch
Patch6:         ksensors-0.7.3-lm_sensors-3.x.patch
Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-buildroot
Autoreqprov:    On
BuildRequires:  fam-devel
BuildRequires:  kdelibs3-devel
BuildRequires:  kdebase3-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  glibc-devel
BuildRequires:  gcc-c++
BuildRequires:  sensors
%if %suse_version >= 1100
BuildRequires:  libsensors4-devel
%endif
BuildRequires:  update-desktop-files

%description
KSensors is a nice lm-sensors frontend for the KDE. You must install lmsensors drivers before using it
(http://secure.netroedge.com/~lm78/).

%description -l de
KSensors ist ein hübscher lm-sensors Frontend für KDE. Für die Benutzung muß lmsensors installiert sein
(http://secure.netroedge.com/~lm78/).



%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
. /etc/opt/kde3/common_options
export QTDIR=/usr/lib/qt3
export CFLAGS="${RPM_OPT_FLAGS}"
./configure	--with-qt-dir=${QTDIR} \
%ifarch  x86_64 amd64 ia32e
				--enable-libsuffix=64 \
%endif
				--with-qt-includes=${QTDIR}/include \
				--with-qt-libraries=${QTDIR}/%{_lib} \
				--enable-mt \
				--prefix=${kde_prefix} \
				--exec-prefix=${kde_prefix} \
				--with-extra-includes=${kde_includes} \
				--with-extra-libs=${kde_libdir}

%build
. /etc/opt/kde3/common_options
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
%suse_update_desktop_file -r ksensors KDE System Monitor

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_kde_prefix}/bin/ksensors
%{_kde_prefix}/share/apps/ksensors
%{_kde_prefix}/share/applications/kde/ksensors.desktop
%doc %{_kde_prefix}/share/doc/HTML/en/ksensors
%{_kde_prefix}/share/icons/*/*/apps/ksensors.png 
%lang(cs) %{_kde_prefix}/share/locale/cs/LC_MESSAGES/ksensors.mo
%lang(de) %{_kde_prefix}/share/locale/de/LC_MESSAGES/ksensors.mo
%lang(es) %{_kde_prefix}/share/locale/es/LC_MESSAGES/ksensors.mo
%lang(fr) %{_kde_prefix}/share/locale/fr/LC_MESSAGES/ksensors.mo
%lang(it) %{_kde_prefix}/share/locale/it/LC_MESSAGES/ksensors.mo
%lang(nb) %{_kde_prefix}/share/locale/nb/LC_MESSAGES/ksensors.mo
%lang(nl) %{_kde_prefix}/share/locale/nl/LC_MESSAGES/ksensors.mo
%lang(pl) %{_kde_prefix}/share/locale/pl/LC_MESSAGES/ksensors.mo
%lang(sv) %{_kde_prefix}/share/locale/sv/LC_MESSAGES/ksensors.mo
%{_kde_prefix}/share/sounds/ksensors_alert.wav

%changelog
* Tue Aug 13 2013 musicsuse@gmx.com
- Changed 2 lines: changed BuildRequires and removed Conflicts tag
* Mon Aug 12 2013 musicsuse@gmx.com
- More clean up for RPMLint
